Get a tree object
curl --request GET \
--url {schemes}://api.upsun.com/projects/{projectId}/git/trees/{repositoryTreeId} \
--header 'Authorization: Bearer <token>'import requests
url = "{schemes}://api.upsun.com/projects/{projectId}/git/trees/{repositoryTreeId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('{schemes}://api.upsun.com/projects/{projectId}/git/trees/{repositoryTreeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"sha": "<string>",
"tree": [
{
"path": "<string>",
"mode": "040000",
"type": "<string>",
"sha": "<string>"
}
]
}Repository
Get a tree object
Retrieve, by hash, the tree state represented by a commit.
The returned object’s tree field contains a list of files and
directories present in the tree.
Directories in the tree can be recursively retrieved by this endpoint through their hashes. Files in the tree can be retrieved by the Get a blob object endpoint.
GET
/
projects
/
{projectId}
/
git
/
trees
/
{repositoryTreeId}
Get a tree object
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Last modified on June 16, 2026
Was this page helpful?